c=======================================================================
c    Tests F77 interface to usleep.
c=======================================================================
      program   tusleep

      implicit  none

      integer   i4arg
      integer   usec

      usec = i4arg(1,-1)
      if( usec .lt. 0 ) then
         write(0,*) 'usage: tusleep <microseconds to sleep>'
         stop
      end if

      write(0,*) 'tusleep:  Calling usleep ...'
      call usleep(usec)
      write(0,*) 'tusleep:  ... usleep returned.'

      stop

      end
